# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema[7.1].define(version: 2024_05_28_103921) do
  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "game_systems", force: :cascade do |t|
    t.string "name", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["name"], name: "index_game_systems_on_name", unique: true
    t.check_constraint "length(name::text) <= 100", name: "chk_name_max_length"
  end

  create_table "site_roles", force: :cascade do |t|
    t.string "name", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "site_roles_users", force: :cascade do |t|
    t.bigint "user_id"
    t.bigint "site_role_id"
    t.index ["site_role_id"], name: "index_site_roles_users_on_site_role_id"
    t.index ["user_id"], name: "index_site_roles_users_on_user_id"
  end

  create_table "tables", force: :cascade do |t|
    t.string "name", null: false
    t.string "slug", null: false
    t.bigint "owner_id"
    t.bigint "game_system_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["game_system_id"], name: "index_tables_on_game_system_id"
    t.index ["owner_id"], name: "index_tables_on_owner_id"
    t.index ["slug"], name: "index_tables_on_slug", unique: true
    t.check_constraint "length(name::text) <= 100", name: "chk_table_name_max_length"
    t.check_constraint "length(slug::text) <= 100", name: "chk_table_slug_max_length"
  end

  create_table "users", force: :cascade do |t|
    t.string "username", limit: 20, null: false
    t.string "password_digest", limit: 200, null: false
    t.string "email", limit: 100, null: false
    t.string "first_name", limit: 50, null: false
    t.string "last_name", limit: 50, default: "", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "verified", default: false, null: false
    t.index ["email"], name: "index_users_on_email", unique: true
    t.index ["username"], name: "index_users_on_username", unique: true
    t.index ["verified"], name: "index_users_on_verified"
    t.check_constraint "length(email::text) >= 5", name: "chk_email_min_length"
    t.check_constraint "length(first_name::text) >= 1", name: "chk_first_name_min_length"
    t.check_constraint "length(username::text) >= 3", name: "chk_username_min_length"
  end

  add_foreign_key "tables", "game_systems"
  add_foreign_key "tables", "users", column: "owner_id"
end
